﻿using System;
using MAUITest.Services.DTOs;

namespace MAUITest.Services.Fakes
{
	public static class FakesData
	{
        public static List<NewsDTO> NEWS = new List<NewsDTO>();

        static FakesData()
		{

			var n1 = new NewsDTO
			{
				Id = 1,
				Title = "SberPay становится всё популярнее",
				Url = "https://4pda.to/2023/04/25/412531/sberpay_stanovitsya_vsyo_populyarnee/",
				UrlToImage = @"https://4pda.to/s/PXtibXMukwuxNkLodfrJ50COTnmHwLNFi4MD.jpg",
				Description = "Сбер раскрыл количество пользователей SberPay — способа оплаты с помощью NFC, QR-кода или онлайн. В компании поделились статистикой и рассказали подробности о каждом методе оплаты.",
				Content = @"<!DOCTYPE html>
<html>
	<head>
		<title>Codebeautify.org Text to HTML Converter</title>
	</head>
	<body>Сбер раскрыл количество пользователей SberPay — способа оплаты с помощью NFC, QR-кода или онлайн. В компании поделились статистикой и рассказали подробности о каждом методе оплаты.
		<br/>
SberPay
		<br/>
		<br/>
Больше остальных типов оплаты Сбера популярен SberPay Online — он позволяет оплатить покупку в интернете нажатием одной кнопки, а вместо ввода платёжных данных предлагает подтвердить транзакцию в приложении «Сбербанк Онлайн». В марте прошлого года так покупали 28,8 млрд россиян, в марте нынешнего — 169,7 млрд. При этом число ежемесячных пользователей выросло с 6,8 до 25,6 млн человек.
		<br/>
		<br/>
SberPay
		<br/>
		<br/>
На втором месте по популярности находится SberPay QR. Он позволяет оплатить товар или услугу с помощью камеры смартфона. Для этого нужно отсканировать специальный QR-код. В марте 2022-го количество пользователей этого способа оплаты составляло 610 тысяч человек, а через год это число возросло до 4,8 млн человек. Общая сумма оплат за этот период повысилась с 4,67 до 11,96 млрд рублей. По всей стране насчитывается более 1,35 млн соответствующих терминалов оплаты.
		<br/>
		<br/>
«Статистика показывает, что россияне всё чаще платят за товары и услуги, используя SberPay. Это вполне объяснимо: наша жизнь становится всё динамичнее, поэтому люди выбирают максимально быстрые и удобные способы оплаты. Со SberPay клиент сохраняет все удобства банковской карты — безопасность и начисление бонусов от ""СберСпасибо"". При этом ему необязательно носить карту с собой. Мы будем развивать наши сервисы, чтобы в любом уголке нашей страны люди могли быстро, удобно и безопасно оплатить покупки», — заявил Дмитрий Малых, старший вице-президент Сбербанка, руководитель блока «Транзакционный банкинг B2C».
		<br/>
		<br/>
Пользователям Android доступен ещё один метод оплаты — SberPay с помощью NFC. Им можно воспользоваться в приложении «СберБанк Онлайн» версии 14.5 и выше. Этим способом платят 4 млн человек, а количество операций превысило 1,5 млн, показав 25-процентный прирост за последний месяц.
	</body>
</html>"
			};

			var n2 = new NewsDTO
			{
				Id = 2,
				Title = "Xiaomi выпустила миниатюрную стиральную машину с функцией сушки",
                Url = "https://4pda.to/2023/04/25/412517/xiaomi_vypustila_miniatyurnuyu_stiralnuyu_mashinu_s_funktsiej_sushki/",
                UrlToImage = @"https://4pda.to/s/PXtiZbOZKJV7H1T6rae64ZwFvh9U2vv4UvpK.jpg",
				Description = "Ассортимент бытовой техники от Xiaomi пополнился компактной стиральной машиной с функцией сушки Mijia Underwear Washing and Drying Machine. Оно подойдёт для нижнего белья и других небольших вещей, которые нужно быстро постирать. \n\n",
				Content = @"<!DOCTYPE html>
<html>
	<head>
		<title>Codebeautify.org Text to HTML Converter</title>
	</head>
	<body>Ассортимент бытовой техники от Xiaomi пополнился компактной стиральной машиной с функцией сушки Mijia Underwear Washing and Drying Machine. Оно подойдёт для нижнего белья и других небольших вещей, которые нужно быстро постирать. 
		<br/>
		<br/>
Xiaomi Mijia Underwear Washing and Drying Machine 
		<br/>
		<br/>
Xiaomi Mijia Underwear Washing and Drying Machine поддерживает 45-минутную стирку с сушкой белья, а также 15-минутную быструю стирку. Она подойдёт для стирки нижнего белья, детской одежды и прочих негабаритных вещей. Есть поддержка большого количества режимов, включая очистку паром, высокотемпературную стирку при 95 градусах для уничтожения вирусов и бактерий, удаление сложных пятен. Есть даже функция очистки крови. 
		<br/>
		<br/>
По заверениям Xiaomi, благодаря используемым технологиям амортизации и шумоподавления машина практически не издаёт звуков во время работы: её даже можно включить перед сном. На этот случай предусмотрена специальная функция, когда спустя 30 минут после завершения стирки, если дверца не была открыта, то внутрь автоматически будет подаваться воздух для вентиляции и предотвращения появления неприятных запахов. 
		<br/>
		<br/>
Xiaomi Mijia Underwear Washing and Drying Machine 
		<br/>
		<br/>
Управлять Xiaomi Mijia Underwear Washing and Drying Machine можно как с помощью встроенных кнопок, так и посредством мобильного приложения, где можно указать режим, температуру воды и прочие параметры. 
		<br/>
		<br/>
В рамках краудфандинговой программы цена новой стиральной машины Xiaomi примерно 232 доллара, после чего она будет стоить 290 долларов.
	</body>
</html>"
            };

            var n3 = new NewsDTO
            {
                Id = 3,
                Title = "В сети появились сюжетные спойлеры к Star Wars Jedi: Survivor",
                Url = "https://4pda.to/2023/04/25/412521/v_seti_poyavilis_syuzhetnye_spojlery_k_star_wars_jedi_survivor/",
                UrlToImage = @"https://4pda.to/s/PXtibbUiClvuHXDE1ML3Dqz15e0BRhz1LgLhz1f.jpg",
                Description = "Иногда видеоигры попадают в руки простых геймеров раньше времени, и те, разумеется, быстро их проходят, а потом делятся впечатлениями вперемежку со спойлерами. Так что крепитесь, фанаты Star Wars Jedi: Fallen Order! Новое приключение Кэла Кестиса с недавних пор активно обсуждают в социальных сетях.",
                Content = @"Иногда видеоигры попадают в руки простых геймеров раньше времени, и те, разумеется, быстро их проходят, а потом делятся впечатлениями вперемежку со спойлерами. Так что крепитесь, фанаты Star Wars Jedi: Fallen Order! Новое приключение Кэла Кестиса с недавних пор активно обсуждают в социальных сетях.



На Reddit объявился человек, который уже покончил со Star Wars Jedi: Survivor. Если вкратце: ему понравилось, новинка заслужила оценку 8/10 в его системе координат. Также счастливчик отметил, что в Survivor есть режим «Новая игра+», а прохождение кампании без учёта всех побочных заданий занимает порядка 25 часов. Если хочется лишних (но, к счастью, не очень важных) деталей — их можно найти здесь.

Напомним, что Star Wars Jedi: Survivor выйдет 28 апреля на PC, PlayStation 5 и Xbox Series X/S. Предзагрузка фантастического экшена стартует уже завтра, 26 числа."
            };

            var n4 = new NewsDTO
            {
                Id = 4,
                Title = "Российский электрокар «Атом» получит сразу четыре модификации",
                UrlToImage = @"https://4pda.to/s/as6yz0puh8RWVbDelQIqe7xD3lIDCdUE8emlw.jpg",
                Description = "В январе этого года основатели российского бренда «Атом» анонсировали закрытую презентацию одноимённого автомобиля. Тогда предполагалось, что он появится в единственной версии — но, как сообщает издание «Коммерсантъ», модификаций будет четыре, а работы по выпуску электрокара уже начались.",
                Content = @"<!DOCTYPE html>
<html>
	<head>
		<title>Codebeautify.org Text to HTML Converter</title>
	</head>
	<body>
		<p>В январе этого года основатели российского бренда «Атом» анонсировали закрытую презентацию одноимённого автомобиля. Тогда предполагалось, что он появится в единственной версии — но, как сообщает издание «Коммерсантъ», модификаций будет четыре, а работы по выпуску электрокара уже начались. 
«Атом» 
«Атом» до ребрендинга из «КАМА-1» 
 
По данным источника, компании «Рэнэра» и «Русатом РДС» объявили конкурс на разработку электродвигателя и системы его интеграции вместе с аккумулятором в автомобиль. Из тендерной документации журналистам удалось узнать, что «Атом» представят в четырёх версиях: 
 
Одноместная Delivery (для служб доставки, в число аналогов вписаны Peugeot Partner, Lada Largus и Citroen Berlingo) 
Двухместная Duo (BMW i3, VW id3, Mini Cooper) 
Четырёхместная Taxi (VW id3, BYD D1) 
Пятиместная Family (BMW i3, VW id3, Honda e/Neta U) 
Каждая конфигурация будет иметь передний привод и запас хода до 500 км на одном заряде. При этом версии Delivery и Taxi смогут разгоняться до 130 км/ч, а Duo и Family — до 170 км/ч. Вдобавок все автомобили получат рекуперативную систему торможения. 
 
«Атом» 
 
Начало массового производства новинок запланировано на декабрь 2024 года, расчётная мощность конвейера — до 75 тысяч автомобилей в год. Из них 49,1 тыс. придётся на модификацию Family, 15 тыс. — на Delivery, 4,3 тыс. — на Duo и 6,6 тыс. — на Taxi. Партнёром «Атома» станет китайский завод, на котором проведут испытания системы питания автомобиля, а часть научно-исследовательской деятельности будет делегирована Юго-восточному университету Нанкина в КНР. Розничная цена электрокаров пока не объявлена.</p>
	</body>
</html>"
            };

			var n5 = new NewsDTO
			{
				Id = 5,
				Title = "Nandme NX8000 — огорчи своего стоматолога отсутствием проблем",
				UrlToImage = @"https://4pda.to/s/as6yyeESSPbMo92EfC7sq5kL8khpdz1U0sJYv76tLz0Hyq.jpg",
				Description = "Несмотря на кажущуюся простоту процедуры, многие недостаточно эффективно чистят зубы или же, наоборот, слишком усердствуют. В обоих случаях это приводит к неприятным и, что немаловажно, дорогостоящим последствиям. Поэтому стоит уделить этому вопросу немного внимания.",
				Content = @"<!DOCTYPE html>
<html>
	<head>
		<title>Codebeautify.org Text to HTML Converter</title>
	</head>
	<body>
		<p>Несмотря на кажущуюся простоту процедуры, многие недостаточно эффективно чистят зубы или же, наоборот, слишком усердствуют. В обоих случаях это приводит к неприятным и, что немаловажно, дорогостоящим последствиям. Поэтому стоит уделить этому вопросу немного внимания. Например, отличным решением станет покупка электрической зубной щётки, которая сама и силу рассчитает, и будет давать советы по достижению наилучшего результата. Так, модель Nandme NX8000 с трёхлетней гарантией можно приобрести со скидкой. 
 
Nandme NX8000 
 
В Nandme NX8000 используется миниатюрный мотор, способный генерировать до 41 000 вибраций щетинок в минуту — вручную вы едва ли достигнете такого результата. Поскольку у каждого человека свои особенности, поэтому и процесс чистки зубов требует индивидуального подхода. На этот случай в данной модели предусмотрено целых пять режимов работы: 
 
Чувствительный — для людей с чувствительными дёснами или для тех, кто ранее не пользовался электрической щёткой 
Очищающий — стандартный режим чистки зубов для повседневного использования 
Отбеливающий — Название говорит само за себя. Удаление любых видов зубных пятен, таких как налёт, пятна от кофе, чая и т. д. 
Полирующий — для получения гладкой и чистой поверхности зубов 
Массажный — деликатный массаж дёсен для поддержания их здоровья 
Nandme NX8000 
 
Для удобства пользователей производитель реализовал функцию двухминутного таймера — каждые 30 секунд щётка уведомляет о необходимости сменить область чистки, чтобы не осталось пропущенных или плохо вычищенных участков.  Кроме того, предусмотрен интеллектуальный контроль давления, защищающий зубы и дёсны от непреднамеренных повреждений. Само же устройство защищено по стандарту IPx7, так что его можно без опаски мыть под водой. Уровень шума не превышает 67 дБ — можно использовать, когда все дома спят. 
 
По заверениям производителя, встроенный аккумулятор рассчитан на 200 дней автономной работы с учётом ежедневной чистки зубов дважды в сутки. Немаловажно, что в случае поломки предусмотрена бесплатная замена устройства в течение 3 лет. Кроме того, в комплект поставки входят 12 сменных насадок, которых как раз хватит на три года.  
 
Приобрести электрическую зубную щётку Nandme NX8000 на OZON можно по цене 3040 рублей. 
 
Купить Nandme NX8000 
Указанная цена действительна на день публикации, количество устройств ограничено.</p>
	</body>
</html>"
            };

			//var n2 = new NewsDTO
			//{
			//    Id = 2,
			//    Title = "",
			//    UrlToImage = @"",
			//    Description = "",
			//    Content = @""
			//};
			NEWS.Add(n1);
            NEWS.Add(n2);
            NEWS.Add(n3);
            NEWS.Add(n4);
            NEWS.Add(n5);
            NEWS.Add(n1);
            NEWS.Add(n2);
            NEWS.Add(n3);
            NEWS.Add(n4);
            NEWS.Add(n5);
        }

	}
}

